form:
  widgets:
    checkbox:
      templates:
        control: 'fd_control_checkbox_bs_custom'
        layout:  'fd_layout_bs_default'

    explanation:
      templates:
        layout: 'fd_layout_bs_default_field'

    password:
      input_group: true
      templates:
        layout: 'fd_layout_bs_default_password'

    radio:
      templates:
        control: 'fd_control_radio_bs_custom'
        layout:  'fd_layout_bs_default'

    submit:
      form_control: false
      control_class: 'btn btn-primary'
      templates:
        layout: 'fd_layout_row_field'

    select:
      templates:
        control: 'fd_control_select_bs_custom'

    text:
      input_group: true

    email:
      input_group: true

    url:
      input_group: true

    number:
      input_group: true

    tel:
      input_group: true

    textarea:
      input_group: true

    upload:
      form_control: false
      templates:
        control: 'fd_control_upload_bs_custom'

  layouts:
    default:
      templates:
        layout: 'fd_layout_bs_default'
        help: 'fd_help_bs_default'
        error: 'fd_error_latest_bs'

      widgets:
        captcha:
          templates:
            control: 'fd_control_captcha_bs_default'

    horizontal:
      classes:
        row: form-row
        label: col-sm-3
        control: col-sm-9
        offset: ml-auto

      widgets:
        captcha:
          templates:
            control: 'fd_control_captcha_bs_horizontal'

        checkbox:
          templates:
            layout: 'fd_layout_bs_horizontal'

        explanation:
          templates:
            layout: 'fd_layout_bs_horizontal_field'

        password:
          templates:
            layout: 'fd_layout_bs_horizontal_password'

        radio:
          templates:
            layout: 'fd_layout_bs_horizontal'

        submit:
          templates:
            layout: 'fd_layout_bs_horizontal_field'

      templates:
        layout: 'fd_layout_bs_horizontal'
        help: 'fd_help_bs_default'
        error: 'fd_error_latest_bs'

  buttons:
    submit: 'btn-primary'
